<template>
</template>
  <script setup lang="ts">
    import { onMounted,getCurrentInstance} from 'vue'
    import { useUserStore } from '@/store/modules/user'
    const userStore = useUserStore()
    const { $infoBox } = getCurrentInstance()!.appContext.config.globalProperties
    onMounted(()=>{
    $infoBox.confirmDanger('是否退出登录？', `你好${userStore.userInfo['realname']}确认退出登录吗？`, () => {
    userStore.logout()
  },() => {
    window.history.go(-1);
  })
    })

  </script>
  
  <style lang="less" scoped>

  </style>
  